| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/os-hypervisors/detail | Shows information for a specified
hypervisor. Typically configured as an admin-only
extension by using |
Normal response codes: 200
This table shows the URI parameters for the show hypervisor information request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
This operation does not require a request body.
Example 3.231. Show hypervisor information: JSON response
{
"hypervisors": [
{
"cpu_info": "?",
"current_workload": 0,
"disk_available_least": null,
"free_disk_gb": 1028,
"free_ram_mb": 7680,
"hypervisor_hostname": "fake-mini",
"hypervisor_type": "fake",
"hypervisor_version": 1,
"id": 1,
"local_gb": 1028,
"local_gb_used": 0,
"memory_mb": 8192,
"memory_mb_used": 512,
"running_vms": 0,
"service": {
"host": "1e0d7892083548cfb347e782d3b20342",
"id": 2
},
"vcpus": 1,
"vcpus_used": 0
}
]
}Example 3.232. Show hypervisor information: XML response
<?xml version='1.0' encoding='UTF-8'?>
<hypervisors>
<hypervisor vcpus_used="0" hypervisor_type="fake" local_gb_used="0" hypervisor_hostname="fake-mini" memory_mb_used="512" memory_mb="8192" current_workload="0" vcpus="1" cpu_info="?" running_vms="0" free_disk_gb="1028" hypervisor_version="1" disk_available_least="None" local_gb="1028" free_ram_mb="7680" id="1">
<service host="4400f556a66d44ce95dfa61e75a23aaf" id="2"/>
</hypervisor>
</hypervisors>This operation does not return a response body.

